<!--
SPDX-FileCopyrightText: 2021-2024 Julien Rippinger, Michel Lefèvre <alicelab.be>

SPDX-License-Identifier: CC-BY-4.0
-->

# Pohlke - One-click standard orthographic and oblique projection cameras

[![screenshot](./docs/media/screenshot.png)](https://vimeo.com/1017540050)

## Installation
+ [Download](https://codeberg.org/AlICe_lab/pohlke/releases/latest) the source code zip folder.
+ Select the zip file for installation in the Blender Preferences add-on section; see [Blender reference manual](https://docs.blender.org/manual/en/latest/editors/preferences/addons.html?highlight=install).
+ Check add-on box to activate.

## Usage
+ Place cursor.
+ Select the desired projection in the new 'Parallel Cams' tool menu ('N' shortcut).
+ A camera is created.
+ Rotate the camera around the cursor if necessary and modify orthographic scale in the properties camera tab.

## How it works
+ Orthographic projections are determined by the camera's position and rotation angle.
+ For the oblique projections the pixel ratio is set automatically prior to rendering.

**Limitations**
+ Oblique projection is not implemented in Blender's camera source code; support this feature [here](https://blender.community/c/rightclickselect/zGbbbc/).

## Showcase

![oblique projections](docs/media/oblique.png)
![orthographic projections](docs/media/orthographic.png)

## Name

The add-on is named after Karl Wilhelm Pohlke, author of a generalizing parallel
projection theorem in 1853.

## Citation

A paper has not yet been published on the addon, but if you use it in your
academic work you can cite it from Zenodo:

Rippinger, Julien, and Michel Lefèvre. “Pohlke.” Zenodo, March 5, 2021. https://doi.org/10.5281/zenodo.7330246.

## License

The add-on is licensed under the GNU General Public License v3.0 or later. The full repository is [reuse compliant](https://api.reuse.software/info/codeberg.org/AlICe_lab/pohlke).
